Bug 11941 - "Patron lists" are not easily accessible
Summary: "Patron lists" are not easily accessible
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 10565
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-14 11:26 UTC by Olli-Antti Kivilahti
Modified: 2016-12-05 21:23 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11941: Add link to patron lists from the patron home page (1.31 KB, patch)
2015-04-28 09:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11941: Add link to patron lists from the patron home page (1.40 KB, patch)
2015-05-06 03:09 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 11941: Add link to patron lists from the patron home page (1.45 KB, patch)
2015-05-06 03:56 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 11941: Add link to patron lists from the patron home page (1.55 KB, patch)
2015-05-08 06:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2014-03-14 11:26:06 UTC
Existing list functionality is accessible from there.
Why have a separate way to handle Patron lists and Record lists?
To preserve the excellent usability of Koha I find all list related features should be present under "More" -> "Lists"
Comment 1 Owen Leonard 2014-03-14 13:19:45 UTC
I think it would make more sense to incorporate links to patrons lists functionality from the patrons home page.
Comment 2 Jonathan Druart 2015-04-28 09:29:48 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2015-05-01 16:05:34 UTC
Comment on attachment 38598 [details] [review]
Bug 11941: Add link to patron lists from the patron home page

Review of attachment 38598 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/includes/patron-toolbar.inc
@@ +6,5 @@
>                  [% FOREACH category IN categories %]<li><a href="/cgi-bin/koha/members/memberentry.pl?op=add&amp;categorycode=[% category.categorycode %]">[% category.description %]</a></li>[% END %]
>              </ul>
>      </div>
> +    [% IF CAN_user_tools_manage_patron_lists %]
> +        <button class="btn btn-small" href="/cgi-bin/koha/patron_lists/lists.pl"><i class="icon-edit"></i>Patron lists</button>

This isn't inside a form, as far as I can tell. Please change 'button' to 'a'. I couldn't get it to meaningfully click with 'button'.
Comment 4 M. Tompsett 2015-05-06 03:09:52 UTC Comment hidden (obsolete)
Comment 5 Liz Rea 2015-05-06 03:56:26 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2015-05-08 06:38:04 UTC
Created attachment 38964 [details] [review]
Bug 11941: Add link to patron lists from the patron home page

The patron lists are only accessible from the tools module, which is not
easily accessible when you are in the patron module.

Test plan:
Go on the patron home page.
In the toolbar, you should see a link to the patron lists.

NOTE: Tweaked button to a to get the click to work.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Tomás Cohen Arazi 2015-06-11 13:20:22 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 8 Chris Cormack 2015-06-14 21:09:10 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 9 Liz Rea 2015-06-22 23:29:34 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 10 Mason James 2015-07-25 10:26:44 UTC
Contains string changes, holding till 3.16.14